# $Revision: 1.7 $, $Date: 2005/12/31 10:36:33 $
Summary:	Module that lets you inspect and modify state at run time
Summary(pl):	Modu pozwalajcy na sprawdzanie i zmian stanu programu w czasie dziaania
Name:		ruby-breakpoint
Version:	0.5.0
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/3302/%{name}-%{version}.tgz
# Source0-md5:	c7ca9db1f1ae105c99ddd945d8c55c20
URL:		http://ruby-breakpoint.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ruby-breakpoint lets you inspect and modify state at run time. This
allows you to diagnose bugs, patch applications and more all via IRB
by simply doing a method call at the place you want to investigate.

%description -l pl
ruby-breakpoint pozwala na sprawdzanie i zmian stanu w czasie
dziaania programu. Umoliwia to diagnozowanie bdw, poprawianie
aplikacji i inne rzeczy, a wszystko to przez IRB, po prostu wywoujc
metod w miejscu, ktre chcemy ledzi.

%prep
%setup -q

%build
ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc -o rdoc/ --main README README lib/* --title "%{name} %{version}" --inline-source
rdoc --ri -o ri lib/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}

ruby setup.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/*
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/*
#%{ruby_ridir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-breakpoint.spec,v $
Revision 1.7  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.6  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.5  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.4  2005/12/27 09:26:20  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.3  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.2  2005/04/04 18:55:37  qboosh
- pl

Revision 1.1  2005/04/03 21:35:00  aredridel
- added
